Bug 102852 - Focus changes to Location field after Rename/Image Properties
Summary: Focus changes to Location field after Rename/Image Properties
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-30 14:39 UTC by Christopher Martin
Modified: 2012-10-19 13:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Martin 2005-03-30 14:39:40 UTC
Version:           1.2.0pre4 (using KDE KDE 3.4.0)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Hello,

This problem is quite small, but it was reported to me, so I'm passing it along. If, when viewing an image, you right-click and select Rename or Properties, and then Cancel, the focus changes to the Location field, and you get a text cursor there. If you usually navigate using keyboard shortcuts, this is slightly annoying, because you have to click on the image to get rid of the text cursor, in order to make keyboard shortcuts work again.

Thanks,
Christopher Martin
Comment 1 philou 2005-07-12 01:36:22 UTC
version: 1.2.0
OS: Linux (i686) release 2.6.11.12mdk)
Compiler: gcc version 3.4.3 (Mandrakelinux 10.2.3.4.3-7mdk)

This bug is also valid after deleting a picture using shortkey
or using context menu 
Comment 2 philou 2005-12-10 23:04:46 UTC
This only happen in non-fullscreen mode when you click on the picture with mouse and then you delete the picture, the focus change to the url location field. That don't happen if you click on file navigator tree or if you use tabulation. It's only if you click on picture.
Comment 3 Maciej Pilichowski 2006-05-18 11:33:25 UTC
> This only happen in non-fullscreen mode

It happens in the fullscreen.

This should be fixed to keep the focus on the image all the time unless there is explicit request from the user to change it. 
Comment 4 Aurelien Gateau 2006-07-04 01:06:56 UTC
SVN commit 557770 by gateau:

Correctly set focus in image view. Make sure url and zoom combo don't get into
the tab chain.
BUG:102852
BUG:130143


 M  +1 -0      NEWS  
 M  +3 -0      app/mainwindow.cpp  
 M  +3 -1      gvcore/imageview.cpp  


--- trunk/extragear/graphics/gwenview/NEWS #557769:557770
@@ -12,6 +12,7 @@
    111240).
  - List of supported archive formats is no longer hard coded, so you can for
    example add support for rar archives by installing kio_rar (Bug 120974).
+ - Some focus bugs have been fixed (Bugs 102852 and 130143).
 
 2006.06.24 - v1.3.91
 - New features:
--- trunk/extragear/graphics/gwenview/app/mainwindow.cpp #557769:557770
@@ -1200,6 +1200,9 @@
 	mURLEdit->setDuplicatesEnabled(false);
 	mURLEdit->setPixmapProvider(new KURLPixmapProvider);
 	mURLEdit->setHistoryItems(MiscConfig::history());
+	
+	// Avoid stealing focus
+	mURLEdit->setFocusPolicy(ClickFocus);
 
 	mURLEditCompletion=new KURLCompletion();
 
--- trunk/extragear/graphics/gwenview/gvcore/imageview.cpp #557769:557770
@@ -312,7 +312,7 @@
 	d->mContrast = 100;
 	d->mBCGDialog = 0;
 
-	setFocusPolicy(StrongFocus);
+	viewport()->setFocusPolicy(WheelFocus);
 	setFrameStyle(NoFrame);
 	setAcceptDrops( true );
 	viewport()->setAcceptDrops( true );
@@ -348,6 +348,8 @@
 		this,SLOT(setLockZoom(bool)) );
 
 	d->mZoomCombo=new QComboBox(true);
+	// Avoid stealing focus
+	d->mZoomCombo->setFocusPolicy(ClickFocus);
 	connect(d->mZoomCombo, SIGNAL(activated(int)),
 		this, SLOT(slotSelectZoom()) );